import sys
sys.path.append('.')
sys.path.append('./examples')
import machine
import time
from machine import Pin, PWM
from LCD_1in69 import LCD_1in69
from CST816T import Touch
from QMI8658 import QMI8658
from PCF85063A import PCF85063
from LVGL import LVGL
from LVGL_example import WIDGETS

machine.freq(240_000_000)

# Pin definition  
BEEP_PIN = 2
PWR_KEY_PIN = 14
BAT_PWR_PIN = 15
    
if __name__=='__main__':
  
    print("LCD_1in69_LCGL_test Demo")
    # Init LCD
    LCD = LCD_1in69()
    LCD.set_bl_pwm(65535 * 60 // 100)
    print("Init LCD done")
    
    # Init Touch
    TSC = Touch(mode=2,LCD=LCD)
    print("Init TSC done")
    
    # Init IMU
    IMU = QMI8658()
    print("Init IMU done")
    
    # Init RTC
    RTC = PCF85063()
    print("Init RTC done")

    # Init BEEP
    BEEP_pwm = PWM(Pin(BEEP_PIN))
    BEEP_pwm.freq(1000)
    print("Init BEEP done")
    
    # Init LVGL
    LVGL(LCD=LCD,TSC=TSC)
    print("Init LVGL done")
    
    # Init WIDGETS
    WIDGETS(LCD=LCD,TSC=TSC,IMU=IMU,RTC=RTC,BEEP_pwm=BEEP_pwm)
    print("Init WIDGETS done")

    # Init GPIO
    PWR_KEY = Pin(PWR_KEY_PIN, Pin.IN, Pin.PULL_UP)  
    BAT_PWR = Pin(BAT_PWR_PIN, Pin.OUT)
    BAT_PWR.value(1)
    press_time = 0
    
    while True:
        if PWR_KEY.value() == 0: # press pwr_key
            press_time += 1
            if press_time > 300: 
                BAT_PWR.value(0) # shutdown
        else:
            press_time = 0  
        
        time.sleep_ms(1)  


















